$ echo $SHELL
/bin/bash
$ grep "$(df . | tail -n 1 | awk '{print $NF}') " /proc/mounts
XX:XX nfs rw,relatime,vers=3,rsize=131072,wsize=131072,namlen=255,hard,proto=rdma,port=XX,timeo=XXX,retrans=2,sec=sys,local_lock=none,addr=XXX 0 0
@selefant2 Would you like to try the following inside the freshly unpacked cryosparc_master/
and cryosparc_worker/
directories: Replace the the existing
deps_bundle_hashes/python/install_python.sh
files with the following script
set -e
cd ${CRYOSPARC_ROOT_DIR}
echo " ------------------------------------------------------------------------"
mkdir -p ${CRYOSPARC_ROOT_DIR}/deps/anaconda
rm -rf ${CRYOSPARC_ROOT_DIR}/deps/anaconda
echo " Installing anaconda python..."
echo " ------------------------------------------------------------------------"
bash ${CRYOSPARC_ROOT_DIR}/deps_bundle/python/anaconda.sh -b -p "${CRYOSPARC_ROOT_DIR}/deps/anaconda"
echo " ------------------------------------------------------------------------"
echo " Done."
echo " anaconda python installation successful."
echo " ------------------------------------------------------------------------"
echo " Extracting all conda packages..."
echo " ------------------------------------------------------------------------"
conda_config_file="${CRYOSPARC_ROOT_DIR}/deps/anaconda/.condarc"
conda_env_path="${CRYOSPARC_ROOT_DIR}/deps/anaconda/envs/${CRYOSPARC_CONDA_ENV}"
mkdir -p "${conda_env_path}"
tar --checkpoint=.1000 -xzf deps_bundle/python/python_packages/anaconda_packages/${CRYOSPARC_CONDA_ENV}.tar.gz --directory "${conda_env_path}"
source "${conda_env_path}/bin/activate"
conda-unpack
echo ""
echo " ------------------------------------------------------------------------"
echo " Done."
echo " conda packages installation successful."
echo " ------------------------------------------------------------------------"
echo " Main dependency installation completed. Continuing..."
echo " ------------------------------------------------------------------------"
Does installation succeed after this replacement?
Dear wtempel,
thank you very much for your help, I indeed made the replacemente you mentioned. Unfortunately installation still breaks. This is the error
Done.
anaconda python installation successful.
------------------------------------------------------------------------
Extracting all conda packages...
------------------------------------------------------------------------
.................................................................................................
------------------------------------------------------------------------
Done.
conda packages installation successful.
------------------------------------------------------------------------
Main dependency installation completed. Continuing...
------------------------------------------------------------------------
Completed.
Currently checking hash for mongodb
Dependencies for mongodb have changed - reinstalling...
------------------------------------------------------------------------
mongodb 3.6.23 installation successful.
------------------------------------------------------------------------
Completed.
Completed dependency check.
Traceback (most recent call last):
File "XXX/cryosparc_master/deps/anaconda/bin/conda", line 12, in <module>
from conda.cli import main
ModuleNotFoundError: No module named 'conda'
Warning: Could not activate conda environment; this indicates that a cryoSPARC installation is either incomplete or in progress
Traceback (most recent call last):
File "<string>", line 1, in <module>
ModuleNotFoundError: No module named 'libtiff'
Thanks @selefant1 for trying that. Please can make a change in addition to the change in Micromamba crash issue during installation - #22 by wtempel before retrying the install.sh
command:
Inside cryosparc_master/bin/cryosparcm
, replace the definition of the activate_conda_env
52 activate_conda_env() {
53 if [[ -f "$CRYOSPARC_ROOT_DIR/deps/anaconda/etc/profile.d/conda.sh" ]]; then
54 source "$CRYOSPARC_ROOT_DIR/deps/anaconda/etc/profile.d/conda.sh"
55 conda activate $CRYOSPARC_CONDA_ENV || echo "Warning: Could not activate conda environment; this indicates that a cr 55 yoSPARC installation is either incomplete or in progress" 1>&2
56 else
57 echo "Warning: conda environment not found; this indicates that a cryoSPARC installation is either incomplete or in 57 progress" 1>&2
58 fi
59 }
with just
activate_conda_env() {
if ! command source "$CRYOSPARC_ROOT_DIR/deps/anaconda/bin/activate" ${CRYOSPARC_CONDA_ENV} ; then
echo "Warning: Could not activate conda environment; this indicates that a CryoSPARC installation is either incomplete or in progress" 1>&2
fi
}
Similarly, replace inside cryosparc_worker/bin/cryosparcw
78 activate_conda_env() {
79 if [[ -f "$CRYOSPARC_ROOT_DIR/deps/anaconda/etc/profile.d/conda.sh" ]]; then
80 source "$CRYOSPARC_ROOT_DIR/deps/anaconda/etc/profile.d/conda.sh"
81 conda activate $CRYOSPARC_CONDA_ENV || echo "Warning: Could not activate conda environment; this indicates that a cr 81 yoSPARC installation is either incomplete or in progress" 1>&2
82 else
83 echo "Warning: conda environment not found; this indicates that a cryoSPARC installation is either incomplete or in 83 progress" 1>&2
84 fi
85 }
with
activate_conda_env() {
if ! command source "$CRYOSPARC_ROOT_DIR/deps/anaconda/bin/activate" ${CRYOSPARC_CONDA_ENV} ; then
echo "Warning: Could not activate conda environment; this indicates that a CryoSPARC installation is either incomplete or in progress" 1>&2
fi
}
Do these changes resolve the problem?
Dear wtempel,
please installation still crashes, this is the error
micromamba run -p /path/redacted/cryosparc_master/deps/anaconda mycommand
installation finished.
------------------------------------------------------------------------
Done.
anaconda python installation successful.
------------------------------------------------------------------------
Extracting all conda packages...
------------------------------------------------------------------------
.................................................................................................
------------------------------------------------------------------------
Done.
conda packages installation successful.
------------------------------------------------------------------------
Main dependency installation completed. Continuing...
------------------------------------------------------------------------
Completed.
Currently checking hash for mongodb
Dependencies for mongodb have changed - reinstalling...
------------------------------------------------------------------------
mongodb 3.6.23 installation successful.
------------------------------------------------------------------------
Completed.
Completed dependency check.
Traceback (most recent call last):
File "/path/redacted/cryosparc_master/deps/anaconda/bin/conda", line 12, in <module>
from conda.cli import main
ModuleNotFoundError: No module named 'conda'
Warning: Could not activate conda environment; this indicates that a CryoSPARC installation is either incomplete or in progress
Traceback (most recent call last):
File "<string>", line 1, in <module>
ModuleNotFoundError: No module named 'libtiff'
Dear wtempel,
please could you confirm the following:
- Is this instruction for the installation correct?
env -i ./install.sh --license ${LICENSE_ID} --port ${PORTN} 2>&1
- I am also running this instruction with a clean environment, is this correct? I don’t load any conda, miniforge … etc …
Thank you very much for your help and support
Yes, provided cryosparc_master/
was/is the current working directory. 2>&1
at the end could have been omitted if there was not attempt to collect the command’s output in a file.
Correct. We wanted to ensure no conda/miniforge installation or environment would interfere with the installation.
Right after an installation fails with
ModuleNotFoundError: No module named 'libtiff'
, would you be able to create an archive with the command (this command will create an ≈ ½ a gigabyte file)
tar zcvf master_deps_anaconda.tar.gz /path/redacted/cryosparc_master/deps/anaconda
and share the resulting master_deps_anaconda.tar.gz
with the CryoSPARC developers? I will send you a direct message with upload instructions.
@selefant2 Our testing indicated that the absolute path that contains cryosparc_master/
or cryosparc_worker/
must not exceed 83 characters, after dereferencing possible symbolic links. Please can you identify an installation directory such that the output of the command inside that directory:
echo -n $(pwd -P) | wc -c
does not exceed 83 and let us know if installation succeeds.